%define name cooledit
%define version 3.14.0
%define release 3mdk

Summary: Full featured multiple window programmer's text editor
Name: %{name}
Icon: cooledit.gif
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Editors
Requires: python pythonlib

Source: %{name}-%{version}.tar.bz2
Source1: %{name}

BuildRoot: %{_tmppath}/%{name}-%{version}-build
Prefix: /usr
URL: http://www.cooledit.org/

%description 
Full-featured X Window text editor; multiple edit windows; 3D Motif-ish
look and feel; shift-arrow and mouse text highlighting; column text
highlighting and manipulation; color syntax highlighting for various
sources; buildin Python interpretor for macro programm.; interactive
graphical debugger - interface to gdb; key for key undo; macro
recording; regular expression search and replace; pull-down menus; drag
and drop; interactive man page browser; run make and other shell
commands with seamless shell interface; redefine keys with an easy
interactive key learner; full support for proportional fonts;

%prep
rm -rf $RPM_BUILD_ROOT 

%setup

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
    --prefix=%{prefix}
make -j 2   

%install
make install prefix=$RPM_BUILD_ROOT/%{prefix}
bzip2 -9 $RPM_BUILD_ROOT/usr/man/man1/*

# Mandrake menu entries
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/cooledit
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/ 
install -m 644 $RPM_BUILD_ROOT/usr/lib/coolicon/cooledit.xpm $RPM_BUILD_ROOT/usr/share/icons/


%post
/sbin/ldconfig
%{prefix}/lib/coolicon/modify-xinitrc
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

# FIXME undo 'modify-xinitrc' above in postun step
%postun
/sbin/ldconfig
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%clean

%files  
%defattr(-,root,root,0755)  

%{prefix}/lib/libCw.so.1.0.0

%{prefix}/bin/cooledit
%{prefix}/bin/smalledit
%{prefix}/bin/coolman
%{prefix}/bin/obsidiansplash
%{prefix}/bin/cooledit-gdb
%{prefix}/bin/coolproject
%{prefix}/bin/coolicon
%{prefix}/bin/coolbrowse
%{prefix}/bin/coolmessage
%{prefix}/bin/coollistbox
%{prefix}/bin/coolquery
%{prefix}/bin/coolinput

/usr/lib/menu/cooledit
/usr/share/icons/cooledit.xpm

%{prefix}/share/locale/cs/LC_MESSAGES/cooledit.mo
%{prefix}/share/locale/da/LC_MESSAGES/cooledit.mo
%{prefix}/share/locale/de/LC_MESSAGES/cooledit.mo
%{prefix}/share/locale/es/LC_MESSAGES/cooledit.mo
%{prefix}/share/locale/fi/LC_MESSAGES/cooledit.mo
%{prefix}/share/locale/fr/LC_MESSAGES/cooledit.mo
%{prefix}/share/locale/it/LC_MESSAGES/cooledit.mo
%{prefix}/share/locale/ja/LC_MESSAGES/cooledit.mo
%{prefix}/share/locale/ko/LC_MESSAGES/cooledit.mo
%{prefix}/share/locale/nl/LC_MESSAGES/cooledit.mo
%{prefix}/share/locale/no/LC_MESSAGES/cooledit.mo
%{prefix}/share/locale/pl/LC_MESSAGES/cooledit.mo
%{prefix}/share/locale/pt/LC_MESSAGES/cooledit.mo
%{prefix}/share/locale/ru/LC_MESSAGES/cooledit.mo
%{prefix}/share/locale/sl/LC_MESSAGES/cooledit.mo
%{prefix}/share/locale/sv/LC_MESSAGES/cooledit.mo

%{prefix}/man/man1/cooledit.1.bz2
%{prefix}/man/man1/smalledit.1.bz2
%{prefix}/man/man1/coolman.1.bz2
%{prefix}/man/man1/coolicon.1.bz2

%dir %{prefix}/lib/cooledit
%{prefix}/lib/cooledit/Xmlrpclib.py
%{prefix}/lib/cooledit/c_utils.py
%{prefix}/lib/cooledit/global.py
%{prefix}/lib/cooledit/sh_utils.py
%{prefix}/lib/cooledit/zope_utils.py

%dir %{prefix}/lib/cooledit/syntax    
%{prefix}/lib/cooledit/syntax/c.syntax
%{prefix}/lib/cooledit/syntax/changelog.syntax
%{prefix}/lib/cooledit/syntax/diff.syntax
%{prefix}/lib/cooledit/syntax/html.syntax
%{prefix}/lib/cooledit/syntax/java.syntax
%{prefix}/lib/cooledit/syntax/latex.syntax
%{prefix}/lib/cooledit/syntax/lsm.syntax
%{prefix}/lib/cooledit/syntax/makefile.syntax
%{prefix}/lib/cooledit/syntax/ml.syntax
%{prefix}/lib/cooledit/syntax/nroff.syntax
%{prefix}/lib/cooledit/syntax/pascal.syntax
%{prefix}/lib/cooledit/syntax/perl.syntax
%{prefix}/lib/cooledit/syntax/python.syntax
%{prefix}/lib/cooledit/syntax/sh.syntax
%{prefix}/lib/cooledit/syntax/smalltalk.syntax
%{prefix}/lib/cooledit/syntax/texinfo.syntax
%{prefix}/lib/cooledit/syntax/unknown.syntax
%{prefix}/lib/cooledit/syntax/swig.syntax
%{prefix}/lib/cooledit/syntax/mail.syntax
%{prefix}/lib/cooledit/syntax/ada95.syntax
%{prefix}/lib/cooledit/syntax/fortran.syntax

%dir %{prefix}/lib/coolicon
%{prefix}/lib/coolicon/browse.xpm
%{prefix}/lib/coolicon/cooledit.xpm
%{prefix}/lib/coolicon/coolicon.config
%{prefix}/lib/coolicon/dynamite.xpm
%{prefix}/lib/coolicon/e.data
%{prefix}/lib/coolicon/launch.xpm
%{prefix}/lib/coolicon/manual.xpm
%{prefix}/lib/coolicon/mc.xpm
%{prefix}/lib/coolicon/netscape.xpm
%{prefix}/lib/coolicon/nscape.xpm
%{prefix}/lib/coolicon/phonedown.xpm
%{prefix}/lib/coolicon/phoneup.xpm
%{prefix}/lib/coolicon/printer.xpm
%{prefix}/lib/coolicon/spanner.xpm
%{prefix}/lib/coolicon/xterm.xpm
%{prefix}/lib/coolicon/xv.xpm
%{prefix}/lib/coolicon/cdrom_eject.xpm
%{prefix}/lib/coolicon/cdrom_view.xpm
%{prefix}/lib/coolicon/modify-xinitrc
%{prefix}/lib/coolicon/gmc.xpm
%{prefix}/lib/coolicon/lyx.xpm

%changelog
* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 3.14.0-3mdk
- Clean spec file
- Install icon in /usr/share/icon

* Thu Apr 20 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 3.14.0-2mdk
- Rebuild tarball with sane directory permissions (thanks fredl)

* Mon Apr 10 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 3.14.0-1mdk
- version 3.14.0
- menu entry
- BuildRoot update
- URL update
- Redo filelist to be based on prefix
- Correct bug which prevented proper CFLAGS from showing up
- .a library removed, unnecessary

* Wed Dec 29 1999 Lenny Cartier <lenny@mandrakesoft.com>
- only add the homepage URL

* Wed Dec 29 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used and modify specfile from RH contribs
- added a new filelist
- bzip man pages
- clean specfile

